EnGenius EWS5912FP Wireless Managed L2 switch 8-port GbE PoE+ Switch 2 x GbE 2 x SFP

EnGenius EWS5912FP Wireless Managed L2 switch 8-port GbE PoE+ Switch 2 x GbE 2 x SFP

130W manage up to 50 x AP

Model EWS5912FPEAN 597783956179

49 specifications
  • Memory256 MB
  • Type1U
  • Weight2 kg
  • ColourBlack
  • Switch typeManaged
  • Basic switching RJ-45 Ethernet ports quantity8
See all specifications

Overview

Memory
256 MB
Type
1U
Weight
2 kg
Colour
Black
Switch type
Managed
Basic switching RJ-45 Ethernet ports quantity
8
Brand
EnGenius
Model
EWS5912FP
Part number
EWS5912FP
EAN / UPC
597783956179, 655216006904, 4713361931635, 6552160069044
Also known as
EnGenius EWS5912FP Wireless Managed L2 switch 8-port GbE PoE+ Switch 2 x GbE 2 x SFP 130W manage up to 50 x AP

Specifications

49 specifications in 13 groups

Management features

SpecificationValue
Switch typeManaged
Switch layerL2
Quality of Service (QoS) supportYes
Web-based managementYes
Traffic shapingYes
MIB supportRFC1213, RFC1493, RFC1757, RFC2674

Ports & interfaces

SpecificationValue
Basic switching RJ-45 Ethernet ports quantity8
Basic switching RJ-45 Ethernet ports typeGigabit Ethernet (10/100/1000)
SFP module slots quantity2
Console portRJ-45

Network

SpecificationValue
Networking standardsIEEE 802.1ab, IEEE 802.3af, IEEE 802.3at
10G supportNo
Port mirroringYes
Broadcast storm controlYes
Link aggregationYes
Rate limitingYes
Spanning tree protocolYes
VLAN supportYes

Data transmission

SpecificationValue
Switching capacity24 Gbit/s
Store-and-forwardYes

Security

SpecificationValue
DHCP featuresDHCP client
Access Control List (ACL)Yes
IGMP snoopingYes
SSH/SSL supportYes
Security algorithmsWEP, WPA, WPA-PSK, WPA2, WPA2-PSK
Static port securityYes

Protocols

SpecificationValue
Management protocolsSNMP v1/v2c/v3, CLI, RMONv1, SYSLOG

Design

SpecificationValue
Rack mountingNo
StackableNo
Form factor1U
Product colourBlack
LED indicatorsActivity, LAN, Link, PoE, Power, Yes

Performance

SpecificationValue
Internal memory256 MB
Flash memory32 MB
Firmware upgradeableYes

Power

SpecificationValue
Power consumption (typical)130 W

Power over Ethernet (PoE)

SpecificationValue
Power over Ethernet (PoE)Yes
Power over Ethernet (PoE) ports quantity8
Total Power over Ethernet (PoE) budget130 W

Operational conditions

SpecificationValue
Operating temperature (T-T)0 - 50 °C
Storage temperature (T-T)-40 - 70 °C
Operating relative humidity (H-H)5 - 95%

Weight & dimensions

SpecificationValue
Width330.2 mm
Depth228.6 mm
Height43.9 mm
Weight2 kg

Packaging content

SpecificationValue
Cables includedAC, LAN (RJ-45)
Quick start guideYes
ManualYes

What people say

Reviews & ratings

EnGenius EWS5912FP Wireless Managed L2 switch 8-port GbE PoE+ Switch 2 x GbE 2 x SFP

No reviews yet

Be the first to tell others how EnGenius EWS5912FP Wireless Managed L2 switch 8-port GbE PoE+ Switch 2 x GbE 2 x SFP works for you.

Write the first review
  • Every rating countsLow ratings are never hidden, removed or pushed down.
  • Written by people, never paidNo incentives, no edits — only spam and abuse are removed.
  • Private by designOnly the name you choose is shown. No account, no e-mail, nothing tracked.

Your review

Share your experience

How does EnGenius EWS5912FP Wireless Managed L2 switch 8-port GbE PoE+ Switch 2 x GbE 2 x SFP work for you? A few honest sentences help others choose — it takes a minute.

Your rating

No account or e-mail. Only your review and the name you choose are kept.

Reviews are written by visitors; we do not check purchases. We remove spam, advertising and abuse — never a review for its rating.

Compare EnGenius EWS5912FP Wireless Managed L2 switch 8-port GbE PoE+ Switch 2 x GbE 2 x SFP

All network switch comparisons

Similar products

All network switches